# Cilium debug information

#### Cilium environment keys

```
kube-proxy-replacement-healthz-bind-address:
single-cluster-route:false
ipam:kubernetes
prometheus-serve-addr:
enable-tracing:false
allow-localhost:auto
bpf-lb-rss-ipv4-src-cidr:
metrics:
k8s-kubeconfig-path:
sidecar-istio-proxy-image:cilium/istio_proxy
log-opt:
hubble-tls-key-file:
operator-api-serve-addr:127.0.0.1:9234
disable-endpoint-crd:false
bpf-lb-maglev-table-size:16381
bgp-announce-lb-ip:false
enable-policy:default
envoy-log:
bpf-policy-map-max:16384
write-cni-conf-when-ready:
enable-k8s-terminating-endpoint:true
api-rate-limit:
trace-payloadlen:128
enable-local-node-route:false
iptables-random-fully:false
enable-l2-neigh-discovery:true
hubble-tls-cert-file:
enable-vtep:false
enable-bbr:false
gops-port:9890
bpf-lb-mode:snat
bgp-announce-pod-cidr:false
pprof:false
http-403-msg:
endpoint-status:
enable-recorder:false
socket-path:/var/run/cilium/cilium.sock
node-port-algorithm:random
identity-change-grace-period:5s
local-router-ipv6:
cluster-health-port:4240
bpf-ct-timeout-service-tcp:6h0m0s
arping-refresh-period:30s
ipv6-pod-subnets:
http-retry-timeout:0
bpf-neigh-global-max:524288
tofqdns-min-ttl:0
install-no-conntrack-iptables-rules:false
enable-health-checking:true
cilium-endpoint-gc-interval:5m0s
hubble-recorder-storage-path:/var/run/cilium/pcaps
enable-auto-protect-node-port-range:true
encrypt-interface:
policy-queue-size:100
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
ipv6-service-range:auto
vtep-endpoint:
enable-ipv6-masquerade:true
tofqdns-max-deferred-connection-deletes:10000
hubble-export-file-max-backups:5
ip-allocation-timeout:2m0s
config:
enable-wireguard-userspace-fallback:false
enable-ipv6:false
host-reachable-services-protos:
enable-bpf-masquerade:false
ipv4-service-range:auto
policy-trigger-interval:1s
enable-ipv6-ndp:false
tofqdns-proxy-response-max-delay:100ms
enable-host-port:true
certificates-directory:/var/run/cilium/certs
enable-k8s-endpoint-slice:true
force-local-policy-eval-at-source:true
hubble-metrics-server:
pprof-port:6060
debug-verbose:
enable-svc-source-range-check:true
enable-host-legacy-routing:false
ipv6-native-routing-cidr:
tofqdns-enable-dns-compression:true
allocator-list-timeout:3m0s
cgroup-root:
cluster-id:
restore:true
bpf-map-dynamic-size-ratio:0.0025
ipv4-range:auto
bpf-ct-timeout-regular-tcp-fin:10s
config-dir:/tmp/cilium/config-map
enable-custom-calls:false
enable-hubble-recorder-api:true
bpf-filter-priority:1
tofqdns-endpoint-max-ip-per-hostname:50
devices:
tofqdns-proxy-port:0
enable-icmp-rules:false
max-controller-interval:0
enable-ipv4:true
ipv6-node:auto
enable-host-reachable-services:false
enable-local-redirect-policy:false
bpf-ct-timeout-regular-tcp-syn:1m0s
auto-direct-node-routes:false
enable-remote-node-identity:true
enable-endpoint-health-checking:true
proxy-max-requests-per-connection:0
encrypt-node:false
node-port-acceleration:disabled
ip-masq-agent-config-path:/etc/config/ip-masq-agent
proxy-gid:1337
ipv4-native-routing-cidr:10.60.0.0/14
bpf-ct-timeout-service-any:1m0s
hubble-socket-path:/var/run/cilium/hubble.sock
enable-session-affinity:true
fixed-identity-mapping:
proxy-prometheus-port:0
enable-bgp-control-plane:false
install-iptables-rules:true
k8s-heartbeat-timeout:30s
enable-endpoint-routes:true
enable-wireguard:false
preallocate-bpf-maps:false
prepend-iptables-chains:true
disable-cnp-status-updates:true
auto-create-cilium-node-resource:true
direct-routing-device:
version:false
k8s-service-proxy-name:
disable-iptables-feeder-rules:
bpf-lb-acceleration:disabled
lib-dir:/var/lib/cilium
proxy-connect-timeout:1
agent-health-port:9876
monitor-queue-size:0
bpf-root:
bpf-sock-rev-map-max:262144
conntrack-gc-interval:0s
hubble-export-file-max-size-mb:10
node-port-bind-protection:true
enable-bandwidth-manager:false
bpf-ct-global-any-max:262144
ipv4-pod-subnets:
hubble-listen-address:
datapath-mode:veth
identity-restore-grace-period:10m0s
enable-bpf-tproxy:false
log-system-load:false
http-max-grpc-timeout:0
bpf-lb-dev-ip-addr-inherit:
hubble-event-buffer-capacity:4095
http-normalize-path:true
k8s-require-ipv6-pod-cidr:false
vtep-mac:
ipv6-cluster-alloc-cidr:f00d::/64
monitor-aggregation:none
enable-health-check-nodeport:true
egress-masquerade-interfaces:
vlan-bpf-bypass:
bpf-fragments-map-max:8192
bpf-lb-bypass-fib-lookup:false
enable-host-firewall:false
bpf-lb-dsr-dispatch:opt
endpoint-queue-size:25
monitor-aggregation-interval:5s
hubble-event-queue-size:0
cflags:
tofqdns-dns-reject-response-code:refused
agent-labels:
enable-ipv4-egress-gateway:false
egress-multi-home-ip-rule-compat:false
http-retry-count:3
enable-ipv4-fragment-tracking:true
ipsec-key-file:
enable-hubble:false
bpf-ct-timeout-regular-tcp:6h0m0s
enable-ipv4-masquerade:true
gke-node-init-script:#!/bin/bash

set -o errexit
set -o pipefail
set -o nounset
     

# Check if we're running on a GKE containerd flavor.
GKE_KUBERNETES_BIN_DIR="/home/kubernetes/bin"
if [[ -f "${GKE_KUBERNETES_BIN_DIR}/gke" ]] && command -v containerd &>/dev/null; then
     echo "GKE *_containerd flavor detected..."

     # (GKE *_containerd) Upon node restarts, GKE's containerd images seem to reset
     # the /etc directory and our changes to the kubelet and Cilium's CNI
     # configuration are removed. This leaves room for containerd and its CNI to
     # take over pods previously managed by Cilium, causing Cilium to lose
     # ownership over these pods. We rely on the empirical observation that
     # /home/kubernetes/bin/kubelet is not changed across node reboots, and replace
     # it with a wrapper script that performs some initialization steps when
     # required and then hands over control to the real kubelet.

     # Only create the kubelet wrapper if we haven't previously done so.
     if [[ ! -f "${GKE_KUBERNETES_BIN_DIR}/the-kubelet" ]];
     then
     echo "Installing the kubelet wrapper..."

     # Rename the real kubelet.
     mv "${GKE_KUBERNETES_BIN_DIR}/kubelet" "${GKE_KUBERNETES_BIN_DIR}/the-kubelet"

     # Initialize the kubelet wrapper which lives in the place of the real kubelet.
     touch "${GKE_KUBERNETES_BIN_DIR}/kubelet"
     chmod a+x "${GKE_KUBERNETES_BIN_DIR}/kubelet"

     # Populate the kubelet wrapper. It will perform the initialization steps we
     # need and then become the kubelet.
     cat <<'EOF' | tee "${GKE_KUBERNETES_BIN_DIR}/kubelet"
#!/bin/bash
set -euo pipefail
CNI_CONF_DIR="/etc/cni/net.d"
CONTAINERD_CONFIG="/etc/containerd/config.toml"
# Only stop and start containerd if the Cilium CNI configuration does not exist,
# or if the 'conf_template' property is present in the containerd config file,
# in order to avoid unnecessarily restarting containerd.
if [[ -z "$(find "${CNI_CONF_DIR}" -type f -name '*cilium*')" || \
          "$(grep -cE '^\s+conf_template' "${CONTAINERD_CONFIG}")" != "0" ]];
then
     # Stop containerd as it starts by creating a CNI configuration from a template
     # causing pods to start with IPs assigned by GKE's CNI.
     # 'disable --now' is used instead of stop as this script runs concurrently
     # with containerd on node startup, and hence containerd might not have been
     # started yet, in which case 'disable' prevents it from starting.
     echo "Disabling and stopping containerd"
     systemctl disable --now containerd
     # Remove any pre-existing files in the CNI configuration directory. We skip
     # any possibly existing Cilium configuration file for the obvious reasons.
     echo "Removing undesired CNI configuration files"
     find "${CNI_CONF_DIR}" -type f -not -name '*cilium*' -exec rm {} \;
     # As mentioned above, the containerd configuration needs a little tweak in
     # order not to create the default CNI configuration, so we update its config.
     echo "Fixing containerd configuration"
     sed -Ei 's/^(\s+conf_template)/\#\1/g' "${CONTAINERD_CONFIG}"
     # Start containerd. It won't create it's CNI configuration file anymore.
     echo "Enabling and starting containerd"
     systemctl enable --now containerd
fi
# Become the real kubelet, and pass it some additionally required flags (and
# place these last so they have precedence).
exec /home/kubernetes/bin/the-kubelet "${@}" --network-plugin=cni --cni-bin-dir=/home/kubernetes/bin
EOF
     else
     echo "Kubelet wrapper already exists, skipping..."
     fi
else
     # (Generic) Alter the kubelet configuration to run in CNI mode
     echo "Changing kubelet configuration to --network-plugin=cni --cni-bin-dir=/home/kubernetes/bin"
     mkdir -p /home/kubernetes/bin
     sed -i "s:--network-plugin=kubenet:--network-plugin=cni\ --cni-bin-dir=/home/kubernetes/bin:g" /etc/default/kubelet
fi
echo "Restarting the kubelet..."
systemctl restart kubelet

iptables -w -t nat -D POSTROUTING -m comment --comment "ip-masq: ensure nat POSTROUTING directs all non-LOCAL destination traffic to our custom IP-MASQ chain" -m addrtype ! --dst-type LOCAL -j IP-MASQ || true

mkdir -p /tmp/cilium-bootstrap
date > /tmp/cilium-bootstrap/time
derive-masquerade-ip-addr-from-device:
enable-k8s-event-handover:false
enable-node-port:false
exclude-local-address:
bpf-lb-sock-hostns-only:false
kube-proxy-replacement:strict
bpf-lb-rss-ipv6-src-cidr:
wait-bpf-mount:true
log-driver:
endpoint-gc-interval:5m0s
hubble-tls-client-ca-files:
enable-selective-regeneration:true
envoy-config-timeout:2m0s
custom-cni-conf:false
enable-l7-proxy:true
enable-identity-mark:true
annotate-k8s-node:true
enable-well-known-identities:false
kvstore-lease-ttl:15m0s
enable-cilium-endpoint-slice:false
cmdref:
hubble-disable-tls:false
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
debug:false
bpf-nat-global-max:524288
hubble-export-file-path:
http-idle-timeout:0
state-dir:/var/run/cilium
crd-wait-timeout:5m0s
enable-envoy-config:false
hubble-export-file-compress:false
monitor-aggregation-flags:all
dns-max-ips-per-restored-rule:1000
enable-k8s-api-discovery:false
bpf-lb-external-clusterip:false
labels:
iptables-lock-timeout:5s
ipv6-mcast-device:
identity-allocation-mode:crd
enable-bpf-clock-probe:true
k8s-service-cache-size:128
enable-monitor:true
dns-policy-unload-on-shutdown:false
local-router-ipv4:
prefilter-mode:native
enable-unreachable-routes:false
native-routing-cidr:
join-cluster:false
kvstore-opt:
prefilter-device:undefined
enable-service-topology:false
k8s-sync-timeout:3m0s
clustermesh-config:/var/lib/cilium/clustermesh/
tunnel-port:0
disable-envoy-version-check:false
read-cni-conf:
ipvlan-master-device:undefined
vtep-mask:255.255.255.0
k8s-namespace:kube-system
mke-cgroup-mount:
k8s-require-ipv4-pod-cidr:false
enable-external-ips:true
bpf-lb-map-max:65536
bpf-ct-global-tcp-max:524288
bpf-lb-algorithm:random
k8s-api-server:
label-prefix-file:
node-port-range:
vtep-cidr:
tofqdns-pre-cache:
enable-ipsec:false
kvstore:
ipv4-node:auto
bpf-ct-timeout-regular-any:1m0s
hubble-metrics:
bypass-ip-availability-upon-restore:false
bpf-lb-dsr-l4-xlate:frontend
sockops-enable:false
proxy-max-connection-duration-seconds:0
allow-icmp-frag-needed:true
endpoint-interface-name-prefix:
tofqdns-idle-connection-grace-period:0s
disable-conntrack:false
policy-audit-mode:false
enable-xt-socket-fallback:true
enable-mke:false
http-request-timeout:3600
bgp-config-path:/var/lib/cilium/bgp/config.yaml
route-metric:0
kvstore-connectivity-timeout:2m0s
mtu:0
kvstore-periodic-sync:5m0s
kvstore-max-consecutive-quorum-errors:2
ipv4-service-loopback-address:169.254.42.1
ipv6-range:auto
node-port-mode:snat
hubble-recorder-sink-queue-size:1024
enable-xdp-prefilter:false
enable-ip-masq-agent:false
keep-config:false
cluster-name:cilium-cilium-2158036465-vm
tunnel:vxlan
```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0005b1008)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc00060c540,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=5) {
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc000c1e3f0)(frontends:[10.45.22.58]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) kube-system/clustermesh-apiserver: (*k8s.Service)(0xc00170e480)(frontends:[10.45.28.24]/ports=[]/selector=map[k8s-app:clustermesh-apiserver]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000c1e240)(frontends:[10.45.16.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000c1e2d0)(frontends:[10.45.16.10]/ports=[dns dns-tcp]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/default-http-backend: (*k8s.Service)(0xc000c1e360)(frontends:[10.45.18.104]/ports=[http]/selector=map[k8s-app:glbc])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=5) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc00000e3d8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc00000e3c0)(34.102.48.255:443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc00000e400)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-lkrfg": (*k8s.Endpoints)(0xc0016041b0)(10.60.0.36:53/TCP,10.60.0.36:53/UDP,10.60.1.78:53/TCP,10.60.1.78:53/UDP)
   }
  }),
  (k8s.ServiceID) kube-system/default-http-backend: (*k8s.EndpointSlices)(0xc00000e438)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "default-http-backend-qb457": (*k8s.Endpoints)(0xc00000fef0)(10.60.1.163:8080/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc00000e460)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-5xj8g": (*k8s.Endpoints)(0xc000125bd0)(10.60.0.109:10250/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/clustermesh-apiserver: (*k8s.EndpointSlices)(0xc001604080)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=27) "clustermesh-apiserver-wdvvg": (*k8s.Endpoints)(0xc001604258)(10.60.1.234:2379/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5050aa8)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium encryption



#### Cilium version

```
1.11.90 fe69cb4 2022-04-12T22:24:45+00:00 go version go1.18 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.21 (v1.21.6-gke.1503) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [eth0 10.168.0.39]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.11.90 (v1.11.90-fe69cb4)
NodeMonitor:            Disabled
Cilium health daemon:   Ok   
IPAM:                   IPv4: 6/254 allocated from 10.60.0.0/24, 
Allocated addresses:
  10.60.0.109 (kube-system/metrics-server-v0.4.5-bbb794dcc-ccqxs)
  10.60.0.217 (kube-system/konnectivity-agent-6db7c55769-z2v2j)
  10.60.0.230 (router)
  10.60.0.243 (kube-system/event-exporter-gke-5479fd58c8-xwfh4)
  10.60.0.36 (kube-system/kube-dns-697dc8fc8b-qvtph)
  10.60.0.38 (health)
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   jiffies   [1000 Hz]
Controller Status:      37/37 healthy
  Name                                                                              Last success   Last error   Count   Message
  bpf-map-sync-cilium_ipcache                                                       6s ago         never        0       no error   
  cilium-health-ep                                                                  35s ago        never        0       no error   
  dns-garbage-collector-job                                                         56s ago        never        0       no error   
  endpoint-1028-regeneration-recovery                                               never          never        0       no error   
  endpoint-1507-regeneration-recovery                                               never          never        0       no error   
  endpoint-1853-regeneration-recovery                                               never          never        0       no error   
  endpoint-2093-regeneration-recovery                                               never          never        0       no error   
  endpoint-2103-regeneration-recovery                                               never          never        0       no error   
  endpoint-3573-regeneration-recovery                                               never          never        0       no error   
  endpoint-gc                                                                       3m56s ago      never        0       no error   
  ipcache-inject-labels                                                             1m5s ago       3m48s ago    0       no error   
  k8s-heartbeat                                                                     26s ago        never        0       no error   
  mark-k8s-node-as-available                                                        3m36s ago      never        0       no error   
  metricsmap-bpf-prom-sync                                                          6s ago         never        0       no error   
  resolve-identity-1028                                                             3m31s ago      never        0       no error   
  resolve-identity-1507                                                             3m37s ago      never        0       no error   
  resolve-identity-1853                                                             3m32s ago      never        0       no error   
  resolve-identity-2093                                                             3m4s ago       never        0       no error   
  resolve-identity-2103                                                             3m32s ago      never        0       no error   
  resolve-identity-3573                                                             3m35s ago      never        0       no error   
  sync-endpoints-and-host-ips                                                       37s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                                                    3m37s ago      never        0       no error   
  sync-node-with-ciliumnode (gke-cilium-cilium-215803-default-pool-0924336a-ppcl)   3m49s ago      3m50s ago    0       no error   
  sync-policymap-1028                                                               5s ago         never        0       no error   
  sync-policymap-1507                                                               5s ago         never        0       no error   
  sync-policymap-1853                                                               5s ago         never        0       no error   
  sync-policymap-2093                                                               5s ago         never        0       no error   
  sync-policymap-2103                                                               5s ago         never        0       no error   
  sync-policymap-3573                                                               5s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1028)                                                 11s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1507)                                                 7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1853)                                                 2s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2093)                                                 4s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2103)                                                 2s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3573)                                                 5s ago         never        0       no error   
  template-dir-watcher                                                              never          never        0       no error   
  update-k8s-node-annotations                                                       3m49s ago      never        0       no error   
Proxy Status:            OK, ip 10.60.0.230, 0 redirects active on ports 10000-20000
Global Identity Range:   min 256, max 65535
Hubble:                  Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB Protocols:    TCP, UDP
  Devices:                eth0 10.168.0.39
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  Events                        2
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        2
  Sockmap                       65535
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled
```

#### Service list

```
ID   Frontend            Service Type   Backend                  
1    10.45.16.1:443      ClusterIP      1 => 34.102.48.255:443   
2    10.45.16.10:53      ClusterIP      1 => 10.60.0.36:53       
                                        2 => 10.60.1.78:53       
3    10.45.18.104:80     ClusterIP      1 => 10.60.1.163:8080    
4    10.168.0.39:30720   NodePort       1 => 10.60.1.163:8080    
5    0.0.0.0:30720       NodePort       1 => 10.60.1.163:8080    
6    10.45.22.58:443     ClusterIP      1 => 10.60.0.109:10250   
7    10.45.28.24:2379    ClusterIP      1 => 10.60.1.234:2379    
8    10.168.0.39:31469   NodePort       1 => 10.60.1.234:2379    
9    0.0.0.0:31469       NodePort       1 => 10.60.1.234:2379    
10   10.168.0.30:2379    LoadBalancer   1 => 10.60.1.234:2379    
```

#### Policy get

```
:
 []
Revision: 1

```


#### Cilium memory map


```
00400000-024e2000 r-xp 00000000 08:01 281089                             /usr/bin/cilium-agent
024e2000-049df000 r--p 020e2000 08:01 281089                             /usr/bin/cilium-agent
049df000-04add000 rw-p 045df000 08:01 281089                             /usr/bin/cilium-agent
04add000-05267000 rw-p 00000000 00:00 0 
c000000000-c001e00000 rw-p 00000000 00:00 0 
c001e00000-c003000000 rw-p 00000000 00:00 0 
c003000000-c004000000 ---p 00000000 00:00 0 
7f4e3db23000-7f4e3dc13000 rw-p 00000000 00:00 0 
7f4e3dc13000-7f4e3dc15000 rw-s 00000000 00:0d 11911                      anon_inode:[perf_event]
7f4e3dc15000-7f4e3dc17000 rw-s 00000000 00:0d 11911                      anon_inode:[perf_event]
7f4e3dc17000-7f4e4035e000 rw-p 00000000 00:00 0 
7f4e4035e000-7f4e504de000 ---p 00000000 00:00 0 
7f4e504de000-7f4e504df000 rw-p 00000000 00:00 0 
7f4e504df000-7f4e6238e000 ---p 00000000 00:00 0 
7f4e6238e000-7f4e6238f000 rw-p 00000000 00:00 0 
7f4e6238f000-7f4e64764000 ---p 00000000 00:00 0 
7f4e64764000-7f4e64765000 rw-p 00000000 00:00 0 
7f4e64765000-7f4e64bde000 ---p 00000000 00:00 0 
7f4e64bde000-7f4e64bdf000 rw-p 00000000 00:00 0 
7f4e64bdf000-7f4e64c5e000 ---p 00000000 00:00 0 
7f4e64c5e000-7f4e64cbe000 rw-p 00000000 00:00 0 
7ffeed057000-7ffeed078000 rw-p 00000000 00:00 0                          [stack]
7ffeed095000-7ffeed098000 r--p 00000000 00:00 0                          [vvar]
7ffeed098000-7ffeed099000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### Kernel version

```
5.4.144
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                    
1028       Disabled           Disabled          36383      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.0.243   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=event-exporter-sa                                                 
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=event-exporter                                                                                
                                                           k8s:version=v0.3.5                                                                                        
1507       Disabled           Disabled          1          k8s:cloud.google.com/gke-boot-disk=pd-standard                                                    ready   
                                                           k8s:cloud.google.com/gke-container-runtime=containerd                                                     
                                                           k8s:cloud.google.com/gke-nodepool=default-pool                                                            
                                                           k8s:cloud.google.com/gke-os-distribution=cos                                                              
                                                           k8s:cloud.google.com/gke-preemptible=true                                                                 
                                                           k8s:cloud.google.com/machine-family=e2                                                                    
                                                           k8s:node.kubernetes.io/instance-type=e2-custom-2-4096                                                     
                                                           k8s:topology.gke.io/zone=us-west2-a                                                                       
                                                           k8s:topology.kubernetes.io/region=us-west2                                                                
                                                           k8s:topology.kubernetes.io/zone=us-west2-a                                                                
                                                           reserved:host                                                                                             
1853       Disabled           Disabled          34623      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.0.217   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=konnectivity-agent                                                                            
2093       Disabled           Disabled          61063      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.0.109   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=metrics-server                                                    
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=metrics-server                                                                                
                                                           k8s:version=v0.4.5                                                                                        
2103       Disabled           Disabled          2553       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.0.36    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=kube-dns                                                          
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=kube-dns                                                                                      
3573       Disabled           Disabled          4          reserved:health                                                                     10.60.0.38    ready   
```

#### BPF Policy Get 1028

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         321400   792       
Allow    Ingress     1          ANY          NONE         0        0         
Allow    Egress      0          ANY          NONE         488181   764       

```


#### BPF CT List 1028

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01028: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01028: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01028: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01028: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01028: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01028: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01028: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01028: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1028

```
[
  {
    "id": 1028,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1028-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "0e73c44c-e404-49e6-be4e-d7dc79f2a6b1"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1028",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:49.719Z",
            "success-count": 1
          },
          "uuid": "28de6152-a8de-4e26-ad14-1ec1b979b04d"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1028",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 5
          },
          "uuid": "145ffa67-4f18-454c-88cd-0066a6569dd7"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1028)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:19.743Z",
            "success-count": 23
          },
          "uuid": "3dd9c095-477d-42ba-b982-4b46f2d04c0e"
        }
      ],
      "external-identifiers": {
        "container-id": "0db67c1c86221c3c59287c871888c6bd9c8156f37c1c89b1f3a655e8a3cb3870",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "event-exporter-gke-5479fd58c8-xwfh4",
        "pod-name": "kube-system/event-exporter-gke-5479fd58c8-xwfh4"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 36383,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:k8s-app=event-exporter",
          "k8s:version=v0.3.5",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=event-exporter-sa"
        ],
        "labelsSHA256": "0d15c8feda77bf1c4e639d3da5d5d1c9c5c4d96cf3db7b262030bc1b334db1d1"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5479fd58c8"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=event-exporter-sa",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=event-exporter",
          "k8s:version=v0.3.5"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.0.243"
          }
        ],
        "host-mac": "fa:32:ae:f7:96:d3",
        "interface-index": 14,
        "interface-name": "lxc7361043dd717",
        "mac": "2a:67:d7:f4:ec:b1"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 36383,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 36383,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1028

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1028

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:00Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:49Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:49Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 36383

```
ID      LABELS
36383   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
        k8s:io.cilium.k8s.policy.serviceaccount=event-exporter-sa
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=event-exporter
        k8s:version=v0.3.5

```


#### BPF Policy Get 1507

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 1507

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01507: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01507: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01507: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01507: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01507: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01507: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01507: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01507: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1507

```
[
  {
    "id": 1507,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1507-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "694bcabf-0495-4a2d-a28e-a495b9ed43ff"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1507",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:44.146Z",
            "success-count": 1
          },
          "uuid": "42fa0f05-3c2d-4206-af8c-8750b0f93cd4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1507",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.761Z",
            "success-count": 6
          },
          "uuid": "095263bd-83c8-4c44-91b6-c9333b80ac65"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1507)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:14.162Z",
            "success-count": 23
          },
          "uuid": "d33df4bb-b64b-41ca-b446-89b4eb99ca05"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "reserved:host",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.kubernetes.io/region=us-west2"
        ],
        "labelsSHA256": "25e293099dbb730adb352fcc84da7f3a37ea43890a44df1a2b3506b8f2d298df"
      },
      "labels": {
        "derived": [
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "ce:d0:ad:b8:e7:fc",
        "interface-name": "cilium_host",
        "mac": "ce:d0:ad:b8:e7:fc"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1507

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1507

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:00Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:00Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:00Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:00Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:04:44Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:44Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:44Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 1853

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         430187   1315      
Allow    Ingress     1          ANY          NONE         262397   426       
Allow    Egress      0          ANY          NONE         663138   1679      

```


#### BPF CT List 1853

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01853: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01853: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01853: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01853: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01853: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01853: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01853: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01853: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1853

```
[
  {
    "id": 1853,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1853-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "42518939-aed9-4773-8180-4b937e0909ac"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1853",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:48.895Z",
            "success-count": 1
          },
          "uuid": "049a2d6c-1b75-45dd-ae0a-363a3564e4b8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1853",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.760Z",
            "success-count": 5
          },
          "uuid": "0909462b-30db-439e-994e-4fccd02bb54c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1853)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:18.919Z",
            "success-count": 23
          },
          "uuid": "2086e46d-d341-41d2-9a47-66a6e41e358c"
        }
      ],
      "external-identifiers": {
        "container-id": "ee4a079dc9dc22a2a62c77cb855ff5ccb12d4724601509f9760350f89f181eac",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "konnectivity-agent-6db7c55769-z2v2j",
        "pod-name": "kube-system/konnectivity-agent-6db7c55769-z2v2j"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 34623,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:k8s-app=konnectivity-agent",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system"
        ],
        "labelsSHA256": "e301711b9ec59bd04f32108c5ea874d2aa7c96b014df80896ca4c5135c49cbc5"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=6db7c55769"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=konnectivity-agent"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "namedPorts": [
        {
          "name": "metrics",
          "port": 8093,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.0.217"
          }
        ],
        "host-mac": "66:be:2d:74:72:56",
        "interface-index": 12,
        "interface-name": "lxcd6d4a53e44b2",
        "mac": "e2:2b:03:f4:e7:03"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 34623,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 34623,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1853

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1853

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:00Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:00Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:04:58Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:48Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:48Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 34623

```
ID      LABELS
34623   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
        k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=konnectivity-agent

```


#### BPF Policy Get 2093

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES     PACKETS   
Allow    Ingress     0          ANY          NONE         1868221   1306      
Allow    Ingress     1          ANY          NONE         76306     27        
Allow    Egress      0          ANY          NONE         167253    1101      

```


#### BPF CT List 2093

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02093: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02093: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02093: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02093: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02093: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02093: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02093: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02093: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2093

```
[
  {
    "id": 2093,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2093-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "65bb41f1-43c9-4d4b-aa21-525bd3a20d56"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2093",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:05:16.990Z",
            "success-count": 1
          },
          "uuid": "5e1b62ec-4dd0-4dc5-b65c-592484229149"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2093",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 5
          },
          "uuid": "63b7fac9-2ea1-4b1e-8a0a-2dbc646b4e5f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2093)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:17.013Z",
            "success-count": 20
          },
          "uuid": "c45c739e-7b50-4bca-96b5-99f89c4b044c"
        }
      ],
      "external-identifiers": {
        "container-id": "9b63060309b93634247c9452bb2c004a9f1b2df1966d9e87dd8d5f43cd879f3b",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "metrics-server-v0.4.5-bbb794dcc-ccqxs",
        "pod-name": "kube-system/metrics-server-v0.4.5-bbb794dcc-ccqxs"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 61063,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:version=v0.4.5",
          "k8s:k8s-app=metrics-server",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ],
        "labelsSHA256": "e5702b99a888d09010fbfb9a5c4f2cde143d4c48eac9bf3b2c780edba2da2e66"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=bbb794dcc"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=metrics-server",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=metrics-server",
          "k8s:version=v0.4.5"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "namedPorts": [
        {
          "name": "https",
          "port": 10250,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.0.109"
          }
        ],
        "host-mac": "ce:c3:e7:d5:ca:f9",
        "interface-index": 16,
        "interface-name": "lxc74a74ec306fe",
        "mac": "fe:5f:69:6e:59:3b"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 61063,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 61063,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2093

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2093

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:17Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:17Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:16Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:05:16Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:05:16Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:05:16Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 61063

```
ID      LABELS
61063   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
        k8s:io.cilium.k8s.policy.serviceaccount=metrics-server
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=metrics-server
        k8s:version=v0.4.5

```


#### BPF Policy Get 2103

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         208454   443       
Allow    Ingress     1          ANY          NONE         35530    401       
Allow    Egress      0          ANY          NONE         219660   805       

```


#### BPF CT List 2103

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02103: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02103: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02103: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02103: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02103: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02103: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02103: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02103: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2103

```
[
  {
    "id": 2103,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2103-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "65176e6f-2200-4651-85f3-70f06a4708cb"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2103",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:48.836Z",
            "success-count": 1
          },
          "uuid": "d3ba07a9-9eb0-4757-b280-aa1af14a3f43"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2103",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 5
          },
          "uuid": "ef59c004-a8a7-4e4a-9dc7-01b1c47e5bcd"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2103)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:18.861Z",
            "success-count": 23
          },
          "uuid": "3f885c25-9154-4605-a7be-05ebdac2f71b"
        }
      ],
      "external-identifiers": {
        "container-id": "6069a2a3bb5a1ccf18bbf4fefedf9fb4790eabbe2de7e1a2791f4fde21af621f",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "kube-dns-697dc8fc8b-qvtph",
        "pod-name": "kube-system/kube-dns-697dc8fc8b-qvtph"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 2553,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=kube-dns"
        ],
        "labelsSHA256": "0c8ffba477cd3bcca8e421e197296faf6c76616d272d1b2dfe5b564abdfe6241"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=697dc8fc8b"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=kube-dns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-local",
          "port": 10053,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "dns-tcp-local",
          "port": 10053,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 10054,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.0.36"
          }
        ],
        "host-mac": "d6:ad:58:9d:cf:8e",
        "interface-index": 10,
        "interface-name": "lxcf4cf907cc33d",
        "mac": "5a:d4:3a:15:ab:6e"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 2553,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 2553,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2103

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2103

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:04:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:04:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:04:57Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:48Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:48Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 2553

```
ID     LABELS
2553   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
       k8s:io.cilium.k8s.policy.serviceaccount=kube-dns
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=kube-dns

```


#### BPF Policy Get 3573

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         4324    54        
Allow    Ingress     1          ANY          NONE         2861    33        
Allow    Egress      0          ANY          NONE         4341    54        

```


#### BPF CT List 3573

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03573: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03573: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_03573: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_03573: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_03573: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_03573: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_03573: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_03573: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 3573

```
[
  {
    "id": 3573,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3573-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "92aac1b4-3f2b-48db-b856-99def6aa8271"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3573",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:45.298Z",
            "success-count": 1
          },
          "uuid": "3997414d-7ab4-48b8-82e6-6cc597130c1b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3573",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 6
          },
          "uuid": "02954667-24c3-4dbb-b112-22c8ca3cb399"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3573)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:25.321Z",
            "success-count": 24
          },
          "uuid": "1d6851ec-51c1-4d9a-9cb9-a3734ca6b67d"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.0.38"
          }
        ],
        "host-mac": "3a:09:93:bf:fe:04",
        "interface-index": 8,
        "interface-name": "lxc_health",
        "mac": "2a:77:d5:f1:e2:6c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3573

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3573

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:00Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:00Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:00Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:04:57Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:04:45Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:45Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:45Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:44Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```

